Update a teamspace ​
PATCH/api/v1/workspaces/{workspace_slug}/teamspaces/{resource_id}/
Update a teamspace by its ID
Path Parameters ​
resource_id:requiredstringThe unique identifier of the resource.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
teamspace_id:requiredstringThe unique identifier of the teamspace.
Body Parameters ​
logo_props:optionalobjectLogo props.
name:optionalstringName.
description_json:optionalobjectDescription json.
description_html:optionalstringDescription html.
description_stripped:optionalstringDescription stripped.
created_by:optionalstringCreated by.
updated_by:optionalstringUpdated by.
lead:optionalstringLead.
Scopes ​
teamspaces:write
Update a teamspace
bash
curl -X PATCH \
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/resource-id-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"logo_props": "example-value",
"name": "Example Name",
"description_json": "example-value",
"description_html": "<p>Example content</p>",
"description_stripped": "Example description",
"created_by": "550e8400-e29b-41d4-a716-446655440000",
"updated_by": "550e8400-e29b-41d4-a716-446655440000",
"lead": "550e8400-e29b-41d4-a716-446655440000"
}'python
import requests
response = requests.patch(
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/resource-id-uuid/",
headers={"X-API-Key": "your-api-key"},
json={
"logo_props": "example-value",
"name": "Example Name",
"description_json": "example-value",
"description_html": "<p>Example content</p>",
"description_stripped": "Example description",
"created_by": "550e8400-e29b-41d4-a716-446655440000",
"updated_by": "550e8400-e29b-41d4-a716-446655440000",
"lead": "550e8400-e29b-41d4-a716-446655440000"
}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/resource-id-uuid/", {
method: "PATCH",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
logo_props: "example-value",
name: "Example Name",
description_json: "example-value",
description_html: "<p>Example content</p>",
description_stripped: "Example description",
created_by: "550e8400-e29b-41d4-a716-446655440000",
updated_by: "550e8400-e29b-41d4-a716-446655440000",
lead: "550e8400-e29b-41d4-a716-446655440000",
}),
});
const data = await response.json();Response200
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Example Name",
"description": "Example description"
}
